
/*  Limit generated states                                   */
#define LIMIT_VALID       50000

/*  Limit accepted states                                    */
#define LIMIT_ACCEPTANCES 666

/*  Limit on cost repeat                                     */
#define MAXIMUM_COST_REPEAT 5

/*  Limit on cost repeat                                     */
#define COST_PRECISION 1.0E-6

/*  Minimum Tempereature                                     */
#define TEMP_MINIMUM 1.0E-3

/*  Rate of annealing                                        */
#define TEMP_RATIO_SCALE  4.0E-4

/*  Rate of annealing                                        */
#define TEMP_ANNEAL_SCALE 250

/* penalty for out-of-bounds                                 */
#define PENALTY 1.0E37


typedef struct   BlahParStr {
  double   Lower;        /* upper limit                                    */
  double   Upper;        /* lower limit                                    */
  double   Range;        /* range                                          */
  /*@relnull@*/ double * par;  /* pointer to parameter                     */
  char     Name[32];     /* name of parameter                              */
  double   t;            /* parameter temperature                          */
} ParStr;

extern ParStr Param[SDIM];


